| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
NTuple::_ArrayImp< TYP > Class Template Reference

Concrete class discribing a column-array in a N tuple. More...

`#include <GaudiKernel/NTupleItems.h>`

Inheritance diagram for NTuple::_ArrayImp< TYP >:
[legend]
Collaboration diagram for NTuple::_ArrayImp< TYP >:
[legend]

## Public Types
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...
Public Types inherited from NTuple::_DataImp< TYP >
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...
Public Types inherited from NTuple::_Data< TYP >
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy. More...

## Public Member Functions
| _ArrayImp (INTuple *tup, const std::string &name, const std::type_info &typ, const std::string &index, long len, TYP min, TYP max, TYP def)
| Standard Constructor. More...
| ~_ArrayImp () override=default
| Standard Destructor. More...
void | setDefault (const TYP val) override
| Compiler type ID. More...
const ItemRange & | range () const override
| Access the range if specified. More...
long | size () const override
| Size of entire object. More...
long | ndim () const override
| Dimension. More...
long | dim (long i) const override
| Access individual dimensions. More...
Public Member Functions inherited from NTuple::_DataImp< TYP >
| _DataImp (INTuple *tup, std::string name, const std::type_info &info, std::string index, long len, TYP low, TYP high, TYP def)
| Standard Constructor. More...
| ~_DataImp () override
| Standard destructor. More...
std::string | typeName () const override
| Get proper type name. More...
void | reset () override
| Reset to default. More...
long | filled () const override
| Number of items filled. More...
INTupleItem * | indexItem () override
| Pointer to index column (if present, 0 else) More...
const INTupleItem * | indexItem () const override
| Pointer to index column (if present, 0 else) (CONST) More...
const std::type_info & | typeID () const override
| Compiler type ID. More...
void | release () override
| Destruct object. More...
bool | hasIndex () const override
| Is the tuple have an index column? More...
const std::string & | index () const override
| Access the index _Column. More...
const std::string & | name () const override
| Access _Column name. More...
long | type () const override
| TYP information of the item. More...
void | setType (long t) override
| Set the properties of the _Column. More...
long | length () const override
| Access the buffer length. More...
const void * | buffer () const override
| Access data buffer (CONST) More...
virtual void * | buffer ()
| Access data buffer. More...
INTuple * | tuple () override
| Access to hosting ntuple. More...
Public Member Functions inherited from INTupleItem
virtual | ~INTupleItem ()=default
| destructor More...
Public Member Functions inherited from NTuple::_Array< TYP >
template<class T >
_Array< TYP > & | operator= (const _Array< T > &copy)
| Assignment operator. More...
const TYP & | data (long i) const
| Access to data by reference (CONST) More...
TYP & | data (long i)
| Access to data by reference (CONST) More...
TYP * | begin ()
TYP * | end ()

## Additional Inherited Members
Static Public Member Functions inherited from NTuple::_Array< TYP >
static _Array * | create (INTuple *tup, const std::string &name, const std::type_info &info, const std::string &index, long len, TYP min, TYP max, TYP def)
| Create instance. More...
Protected Types inherited from NTuple::_DataImp< TYP >
typedef const std::string & | CSTR
typedef const std::type_info & | CTYPE
Protected Attributes inherited from NTuple::_DataImp< TYP >
long | m_length
| Entire buffer length. More...
INTuple * | m_tuple
| Pointer to N tuple. More...
std::string | m_name
| _Column name More...
std::string | m_index
| Check that values are within a certain range while filling. More...
INTupleItem * | m_indexItem = nullptr
| Pointer to index item. More...
DataTypeInfo::Type | m_type
| _Column type More...
TYP | m_def
| Buffer with default value. More...
Range< TYP > | m_range
| Check that values are within a certain range while filling. More...
const std::type_info & | m_info
| Item type information. More...
Protected Attributes inherited from NTuple::_Data< TYP >
TYP * | m_buffer = nullptr
| Pointer to data buffer. More...

## Detailed Description

### template<class TYP>
class NTuple::_ArrayImp< TYP >

Concrete class discribing a column-array in a N tuple.

Definition at line 33 of file NTupleItems.h.

## Member Typedef Documentation

template<class TYP>

typedef Range<TYP> NTuple::_ArrayImp< TYP >::ItemRange

Set type definition to make life more easy easy.

Definition at line 177 of file NTupleItems.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::_ArrayImp< TYP >::_ArrayImp | ( | INTuple * | tup,
|  | const std::string & | name,
|  | const std::type_info & | typ,
|  | const std::string & | index,
|  | long | len,
|  | TYP | min,
|  | TYP | max,
|  | TYP | def
| ) |  |
| inline

Standard Constructor.

Definition at line 179 of file NTupleItems.h.

180 : _DataImp<TYP>(tup, name, typ, index, len, min, max, def) { }
NTuple::_DataImp::name
const std::string & name() const override
Access _Column name.
Definition: NTupleItems.h:125
NTuple::_DataImp::index
const std::string & index() const override
Access the index _Column.
Definition: NTupleItems.h:123
std::min
T min(T...args)
std::max
T max(T...args)
template<class TYP>

NTuple::_ArrayImp< TYP >::~_ArrayImp | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

template<class TYP>

long NTuple::_ArrayImp< TYP >::dim | ( | long | i | ) | const
| inline override virtual

Access individual dimensions.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 194 of file NTupleItems.h.

194 {
195 return (i!=0 || this->hasIndex()) ? 0 : this->m_length;
196 }
NTuple::_DataImp::hasIndex
bool hasIndex() const override
Is the tuple have an index column?
Definition: NTupleItems.h:121
NTuple::_DataImp::m_length
long m_length
Entire buffer length.
Definition: NTupleItems.h:45
ana.i
list i
Definition: ana.py:128
template<class TYP>

long NTuple::_ArrayImp< TYP >::ndim | ( |  | ) | const
| inline override virtual

Dimension.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 192 of file NTupleItems.h.

192 { return 1; }
template<class TYP>

const ItemRange& NTuple::_ArrayImp< TYP >::range | ( |  | ) | const
| inline override virtual

Access the range if specified.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 188 of file NTupleItems.h.

188 { return this->m_range; }
NTuple::_DataImp::m_range
Range< TYP > m_range
Check that values are within a certain range while filling.
Definition: NTupleItems.h:59
template<class TYP>

void NTuple::_ArrayImp< TYP >::setDefault | ( | const TYP | val | ) |
| inline override virtual

Compiler type ID.

Set default value

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 186 of file NTupleItems.h.

186 { this->m_def = val; }
NTuple::_DataImp::m_def
TYP m_def
Buffer with default value.
Definition: NTupleItems.h:57
template<class TYP>

long NTuple::_ArrayImp< TYP >::size | ( |  | ) | const
| inline override virtual

Size of entire object.

Reimplemented from NTuple::_DataImp< TYP >.

Definition at line 190 of file NTupleItems.h.

190 { return this->m_length*sizeof(TYP); }
NTuple::_DataImp::m_length
long m_length
Entire buffer length.
Definition: NTupleItems.h:45

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTupleItems.h